Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vistech.rmi
Class JAIImageServer

    java.lang.Object
      |
      +--java.rmi.server.RemoteObject
            |
            +--java.rmi.server.RemoteServer
                  |
                  +--java.rmi.server.UnicastRemoteObject
                        |
                        +--com.vistech.rmi.SimpleImageServer
                              |
                              +--com.vistech.rmi.JAIImageServer

All Implemented Interfaces:
  DirectoryBrowser, ImageLoader, JAIImageLoader, java.rmi.Remote, java.io.Serializable

public class JAIImageServer
extends SimpleImageServer
implements JAIImageLoader

A remote server application that loads images by using the JAI "FileLoad" operator.

Version:
  1.0 12 june 2000
Author:
  Lawrence Rodrigues
See Also:
  Serialized Form

Fields inherited from class com.vistech.rmi.SimpleImageServer
`userDir`

Fields inherited from class java.rmi.server.RemoteObject
`ref`

Constructor Summary
`JAIImageServer()`

Method Summary
`javax.media.jai.RenderedOp` | `loadJAIImage(java.lang.String filename)` Loads an image remotely and returns it as a RenderedOp object, which is serializable.
`static void` | `main(java.lang.String[] args)`

Methods inherited from class com.vistech.rmi.SimpleImageServer
`getFileSepChar, getUserDir, isDirectory, listFiles, listFiles, loadImageAsBytes`

Methods inherited from class java.rmi.server.UnicastRemoteObject
`clone, exportObject, exportObject, exportObject, unexportObject`

Methods inherited from class java.rmi.server.RemoteServer
`getClientHost, getLog, setLog`

Methods inherited from class java.rmi.server.RemoteObject
`equals, getRef, hashCode, toString, toStub`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.vistech.rmi.ImageLoader
`loadImageAsBytes`

Methods inherited from interface com.vistech.rmi.DirectoryBrowser
`getFileSepChar, getUserDir, isDirectory, listFiles, listFiles`

Constructor Detail

### JAIImageServer

    public JAIImageServer()
                   throws java.rmi.RemoteException

Method Detail

### loadJAIImage

    public javax.media.jai.RenderedOp loadJAIImage(java.lang.String filename)
                                            throws java.rmi.RemoteException

  Description copied from interface: `JAIImageLoader`
  Loads an image remotely and returns it as a RenderedOp object, which is serializable.
  Specified by:
    `loadJAIImage` in interface `JAIImageLoader`
  Following copied from interface: `com.vistech.rmi.JAIImageLoader`
  Parameters:
    `the` - name of the image in the remote directory.
  Returns:
    the RenderedOp object.

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD